package util

import (
	"fmt"
	"testing"
)

func TestContainsForSplitComma(t *testing.T) {
	a := "15"
	b := "14"
	fmt.Printf("%s是否包含在[%s]中：%v", a, b, ContainsForSplitComma(b, a))
}

type DefaultCount struct {
	Count *int32   `gorm:"column:count" json:"count"` // 笔数
	Money *float64 `gorm:"column:money" json:"money"` // 金额（元）
}

func TestStrval(t *testing.T) {
	fmt.Printf("转换内容：%s", GetInterfaceToString(3.10))
	var count DefaultCount
	//a := If(count.Count == nil, 12, 0)
	a := IfNull(count.Count, 0)
	fmt.Printf("结果：%d", a)
}
